Skip to main content
GET
/
api
/
pools
/
retiring
/
{epoch}
Get pool retirements by epoch
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/pools/retiring/{epoch} \
  --header 'Authorization: Bearer <token>'
{
  "blockNumber": 123,
  "blockTime": 123,
  "txHash": "<string>",
  "certIndex": 123,
  "txIndex": 123,
  "poolId": "<string>",
  "retirementEpoch": 123,
  "epoch": 123,
  "slot": 123,
  "blockHash": "<string>",
  "poolIdBech32": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

epoch
integer<int32>
required
Required range: x >= 0

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Response

Successfully retrieved pool retirements

blockNumber
integer<int64>
blockTime
integer<int64>
txHash
string
certIndex
integer<int32>
txIndex
integer<int32>
poolId
string
retirementEpoch
integer<int32>
epoch
integer<int32>
slot
integer<int64>
blockHash
string
poolIdBech32
string